---
id: 67349d6e726b2c3c7f7301e8
title: Step 5
challengeType: 1
dashedName: step-5
---

# --description--

The `size` property of a Map object returns the number of elements in the map. Log the `size` of your `catalog` to the console.

# --hints--

You should log the `size` property of your `catalog` map to the console.

```js
assert.match(__helpers.removeJSComments(code), /console\s*\.\s*log\s*\(\s*catalog\s*\.\s*size\s*\)/)
```

# --seed--

## --seed-contents--

```js
const ballerina = {
    commonName: "Spanish lavender",
    scientificName: "Lavandula stoechas",
    cultivar: "Ballerina"
}

const prettyPolly = {
    commonName: "Spanish lavender",
    scientificName: "Lavandula stoechas",
    cultivar: "Pretty Polly"
}

const willowVale = {
    commonName: "Spanish lavender",
    scientificName: "Lavandula stoechas",
    cultivar: "Willow Vale"
}

const hidcote = {
    commonName: "English lavender",
    scientificName: "Lavandula angustifolia",
    cultivar: "Hidcote"
}

const imperialGem = {
    commonName: "English lavender",
    scientificName: "Lavandula angustifolia",
    cultivar: "Imperial Gem"
}

const royalCrown = {
    commonName: "French lavender",
    scientificName: "Lavandula dentata",
    cultivar: "Royal Crown"
}
--fcc-editable-region--
const catalog = new Map();
catalog.set("ballerina", ballerina);
console.log(catalog);

--fcc-editable-region--
```
